Bug 221262 - jpackage-utils 1.7.3 from Fedora Core does not support java 1.6.0
jpackage-utils 1.7.3 from Fedora Core does not support java 1.6.0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jpackage-utils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-03 08:01 EST by Oded Arbel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.7.3-1jpp.2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 16:10:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Arbel 2007-01-03 08:01:08 EST
Description of problem:
jpackage-utils needs a JAVAVER_LIBDIR for the specific version of the JVM being
used, so to support Sun'd JDK 6 (1.6.0), there should be a directory
/usr/share/java-1.6.0 .

Version-Release number of selected component (if applicable):
1.7.3

How reproducible:
always

Steps to Reproduce:
1. Install Sun's JDK 6 and jpackage's java-1.6.0-sun-compat. 
2. run build-classpath.

Actual results:
/usr/bin/build-classpath: error: JAVAVER_LIBDIR /usr/share/java-1.6.0 does not
exist or is not a directory

Expected results:
build-classpath should complete without errors.


Additional info:
The same versioned jpackage-utils from the JPackage project contains the
required directory.
Comment 1 Oded Arbel 2007-01-03 09:25:00 EST
Same thing with /usr/lib/java-1.6.0 - also required to support 1.6.0 and is
missing from Fedora's jpackage-utils 1.7.3. 

I'm using the jpackage repository as well, but I can't upgrade to jpackage's
jpackage-utils, because its the same version as Fedora's, and yum won't consider
it an upgrade.
Comment 2 Thomas Fitzsimmons 2007-01-11 16:25:55 EST
I built jpackage-utils-1.7.3-1jpp.2.fc6 which fixes this problem.  It should be
pushed to updates soon.
Comment 3 Fedora Update System 2007-01-12 14:44:07 EST
jpackage-utils-1.7.3-1jpp.2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.